<template>
  <div>
    <b-form @submit="onSubmit" @reset="onReset" v-if="show">
      <b-form-group
        id="input-group-1"
        label="Email address:"
        label-for="input-1"
        description="We'll never share your email with anyone else."
      >
        <b-form-input
          id="input-1"
          type="email"
          placeholder="Enter email"
          v-model="forms.email"
          required
        >
        </b-form-input>
      </b-form-group>
      <b-form-group id="input-group-2" label="Your Name:" label-for="input-2">
        <b-form-input
          id="input-2"
          placeholder="Enter Name"
          v-model="forms.name"
          required
        >
        </b-form-input>
      </b-form-group>
      <b-form-group id="input-group-3" label="Food:" label-for="input-3">
        <b-form-select
          id="input-3"
          v-model="forms.foods"
          :options="foods"
          required
        >
        </b-form-select>
      </b-form-group>
      <b-form-group id="input-group-4" v-slot="{ ariaDescribeby }">
        <b-form-checkbox-group
          id="checkboxes-4"
          v-model="forms.checked"
          :aria-describedby="ariaDescribeby"
        >
          <b-form-checkbox value="me">Check me out</b-form-checkbox>
          <b-form-checkbox value="that">Check that out</b-form-checkbox>
        </b-form-checkbox-group>
      </b-form-group>
      <b-button type="submit" variant="primary"> Submit </b-button>
      <b-button type="reset" variant="danger"> Reset </b-button>
      <b-card class="mt-3" header="Form Data Result">
        <pre class="m-0">
          {{ forms }}
        </pre>
      </b-card>
    </b-form>
  </div>
</template>
<script>
export default {
  data () {
    return {
      forms: {
        email: '',
        name: '',
        food: '',
        checked: []
      },
      foods: [
        { text: 'Select One', value: null },
        'Carrot',
        'Beans',
        'Tomatoes',
        'Corn'
      ],
      show: true
    }
  },
  methods: {
    onSubmit (event) {
      event.preventDefault()
      alert(JSON.stringify(this.forms))
    },
    onReset (event) {
      event.preventDefault()
      this.forms.email = ''
      this.forms.name = ''
      this.forms.food = []
      this.forms.checked = null
      this.show = false
      this.$nextTick(() => {
        this.show = true
      })
    }
  }
}
</script>
<style></style>
